# Chiliz Chain developer docs

## Welcome to the Sports Blockchain\_

Dive into Chiliz Chain, the dedicated blockchain leading the Sports & Entertainment revolution.&#x20;

{% columns %}
{% column width="50%" %}
With Chiliz Chain, you can **provide fans with experiences** that ignite passion and push the boundaries of engagement.

{% embed url="<https://www.youtube.com/watch?v=EnZTBZvxC4s>" %}

Build a Fan Token gate, create a prediction market, mint Sports NFTs, etc. [Get inspired](https://greenhousehub.chiliz.com/)!
{% endcolumn %}

{% column width="50%" %}
**Build EVM-compatible SportFi apps** with 70+ major IP partners, and get direct access to passionate fanbases!

{% code expandable="true" %}

```javascript
// hardhat.config.js
module.exports = {
  solidity: "0.8.24",
  networks: {
    chiliz_testnet: {
      url: "https://spicy-rpc.chiliz.com/",
      chainId: 88882,
      accounts: [process.env.PRIVATE_KEY]
    },
    chiliz_mainnet: {
      url: "https://rpc.ankr.com/chiliz",
      chainId: 88888,
      accounts: [process.env.PRIVATE_KEY]
    }
  }
};
```

{% endcode %}
{% endcolumn %}
{% endcolumns %}

**Works with your toolset**\
\&#xNAN;*MetaMask, Hardhat, Moralis, thirdweb, Nodit, Remix, Magic, Privy, and* [*many more*](https://docs.chiliz.com/community/chiliz-chain-ecosystem#developer-tools)*...*

<table data-view="cards"><thead><tr><th></th><th></th><th></th><th data-hidden data-card-target data-type="content-ref"></th><th data-hidden data-card-cover data-type="files"></th></tr></thead><tbody><tr><td><strong>Quick Start</strong></td><td><em>Just what you need</em></td><td></td><td><a href="quick-start">quick-start</a></td><td><a href="https://3400301555-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F4L7rBH2rmyoBTn93MSdx%2Fuploads%2FofDAJwWPfT2sAs1cYsv5%2Ftestnet.png?alt=media&#x26;token=42aa3494-4e7e-4b5f-8ef1-d194971c03c0">testnet.png</a></td></tr><tr><td><strong>Learn</strong></td><td><em>Concepts &#x26; theory</em></td><td></td><td><a href="learn">learn</a></td><td><a href="https://3400301555-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F4L7rBH2rmyoBTn93MSdx%2Fuploads%2FhNUkJMdVzZr9SaKqN5dL%2Fbook.png?alt=media&#x26;token=4207bb32-b03c-4e84-9b7d-3b839023bca3">book.png</a></td></tr><tr><td><strong>Develop</strong></td><td><em>Dive into code</em></td><td></td><td><a href="develop">develop</a></td><td><a href="https://3400301555-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F4L7rBH2rmyoBTn93MSdx%2Fuploads%2FpVpOxdrDz1ui3rYBpQVI%2FMainNet.png?alt=media&#x26;token=5001d709-0cf3-46e5-a72d-6adbeeea68e4">MainNet.png</a></td></tr><tr><td><strong>Grants &#x26; Bounties</strong></td><td><em>Get funded</em></td><td></td><td><a href="learn/about-chiliz-chain/chiliz-greenhouse">chiliz-greenhouse</a></td><td></td></tr><tr><td><strong>Community</strong></td><td><em>Join the game</em></td><td></td><td><a href="community">community</a></td><td></td></tr><tr><td><strong>Changelog</strong></td><td><em>News from the Chiliz devs</em></td><td></td><td><a href="chiliz-chain-changelog">chiliz-chain-changelog</a></td><td></td></tr></tbody></table>

{% hint style="info" %}
To stay up to date with the latest developments of Chiliz Chain, \
follow us on our [X.com/Twitter](https://twitter.com/chiliz) or join us on [Discord](https://discord.gg/chiliz) and [Telegram](https://t.me/BuildOnChiliz).
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chiliz.com/chiliz-chain-developer-docs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
